Subject: Re: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: Constantine Vetoshev <[email-masked]>
Date: Fri, 17 Jan 2014 11:26:01 -0800

On Jan 17, 2014, at 11:06, martin rudalics <[email-masked]> wrote:
> I suppose it is a rounding issue.  Does it happen only in the right-most
> window?

In 24.3, I have the following window-width results: 71 - 70 - 70
In 24.4, I have 71 - 71 - 71

> Anyway, please tell me the following values after balancing:
> 
> (frame-width) (frame-text-width)
> 
> and for each of your three windows
> 
> (window-width) (window-total-width) (window-pixel-width)

24.3:
  (frame-width) returns 223
  (frame-text-width) is not defined
  - window 1 (left)
    (window-width) returns 71
    (window-total-width) returns 77
    (window-pixel-width) is not defined
    This seems to be accurate, the test line wraps at the 71st character.
  - window 2 (middle)
    (window-width) returns 70
    (window-total-width) returns 76
  - window 3 (right)
    (window-width) returns 70
    (window-total-width) returns 76

24.4:
  (frame-width) returns 223
  (frame-text-width) returns 1561
  - window 1 (left)
    (window-width) returns 71
    (window-text-width) returns 71
    (window-pixel-width) returns 533
    The the test line here also wraps at the 71st character.
  - window 2 (middle)
    (window-width) returns 71
    (window-text-width) returns 76
    (window-pixel-width) returns 532
  - window 3 (right)
    (window-width) returns 71
    (window-text-width) returns 76
    (window-pixel-width) returns 532